
set(hdrs
	include/pw/visual/renderer.hpp
	include/pw/visual/context.hpp
	)

set(srcs
	src/renderer.cpp
	src/context.cpp
	)

add_library(pwvisual
	STATIC
	${hdrs}
	${srcs}
	)

target_include_directories(
	pwvisual
	PUBLIC
	include
	)

target_link_libraries(pwvisual pwscene)

#add_subdirectory(tests)
